Bug 241358 - [NEW PORT] databases/postgis30: Geographic objects support for PostgreSQL databases
Summary: [NEW PORT] databases/postgis30: Geographic objects support for PostgreSQL dat...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Some People
Assignee: Tobias C. Berner
URL: https://postgis.net/2019/10/20/postgi...
Keywords: feature
Depends on:
Blocks: 241359
  Show dependency treegraph
 
Reported: 2019-10-20 07:46 UTC by Loïc Bartoletti
Modified: 2019-11-03 08:08 UTC (History)
7 users (show)

See Also:
lbartoletti: maintainer-feedback+


Attachments
postgis 3.0.0 (42.18 KB, patch)
2019-10-20 07:46 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.3.10_1 (1.93 KB, patch)
2019-10-20 07:47 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.4.8_1 (1.92 KB, patch)
2019-10-20 07:47 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.5.3_1 (1.93 KB, patch)
2019-10-20 07:48 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.5.3_1 (755 bytes, patch)
2019-10-20 08:10 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.4.8_1 (695 bytes, patch)
2019-10-20 08:10 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.3.10_1 (696 bytes, patch)
2019-10-20 08:11 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff
postgis 2.x add CONFLICTS_INSTALL with postgis30 (2.10 KB, patch)
2019-10-20 08:35 UTC, Loïc Bartoletti
lbartoletti: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Loïc Bartoletti 2019-10-20 07:46:59 UTC
Created attachment 208441 [details]
postgis 3.0.0

databases/postgis30: Geographic objects support for PostgreSQL databases

  * Add CONFLICTS_INSTALL for databases/postgis2*
  * Add USE=NLS for databases/postgis2*
  * New port databases/postgis30
  * New default options for postgis: WAGYU, PROTOBUF and JSON
  * RASTER is now a separated extension (enabled by default), use "CREATE EXTENSION postgis_raster;" as for topology or sfcgal extensions

Changelog:

   https://postgis.net/2019/10/20/postgis-3.0.0/

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11, 12 HEAD, i386/amd64)
  * maketest: OK (all tests passed, upstream CI and personal CI)
Comment 1 Loïc Bartoletti 2019-10-20 07:47:23 UTC
Created attachment 208442 [details]
postgis 2.3.10_1
Comment 2 Loïc Bartoletti 2019-10-20 07:47:42 UTC
Created attachment 208443 [details]
postgis 2.4.8_1
Comment 3 Loïc Bartoletti 2019-10-20 07:48:10 UTC
Created attachment 208444 [details]
postgis 2.5.3_1
Comment 4 Kubilay Kocak freebsd_committer freebsd_triage 2019-10-20 07:52:57 UTC
@Loïc Could you please:

- Include the 2.x CONFLICTS additions to the 3.x patch
- Separate our the other 2.x changes into a separate issue (they're logically unrelated to this one)

Feel free to add this bugs ID to the new bugs See Also field if its useful to do so
Comment 5 Loïc Bartoletti 2019-10-20 08:10:04 UTC
Created attachment 208445 [details]
postgis 2.5.3_1

For this issue, only add CONFLICTS_INSTALL in postgis 2.x. Thanks to koobs@
Comment 6 Loïc Bartoletti 2019-10-20 08:10:29 UTC
Created attachment 208446 [details]
postgis 2.4.8_1

For this issue, only add CONFLICTS_INSTALL in postgis 2.x. Thanks to koobs@
Comment 7 Loïc Bartoletti 2019-10-20 08:11:17 UTC
Created attachment 208447 [details]
postgis 2.3.10_1

For this issue, only add CONFLICTS_INSTALL in postgis 2.x. Thanks to koobs@
Comment 8 Loïc Bartoletti 2019-10-20 08:13:14 UTC
(In reply to Loïc Bartoletti from comment #0)

databases/postgis30: Geographic objects support for PostgreSQL databases

  * Add CONFLICTS_INSTALL for databases/postgis2*
  * New port databases/postgis30
  * New default options for postgis: WAGYU, PROTOBUF and JSON
  * RASTER is now a separated extension (enabled by default), use "CREATE EXTENSION postgis_raster;" as for topology or sfcgal extensions

Changelog:

   https://postgis.net/2019/10/20/postgis-3.0.0/

QA:

  * portlint: OK (looks fine.)
  * testport: OK (poudriere: 11, 12 HEAD, i386/amd64)
  * maketest: OK (all tests passed, upstream CI and personal CI)
Comment 9 Loïc Bartoletti 2019-10-20 08:35:44 UTC
Created attachment 208448 [details]
postgis 2.x add CONFLICTS_INSTALL with postgis30

Merge patches for postgis 2.x and fix postgis 2.5 CONFLICTS_INSTALL
Comment 10 commit-hook freebsd_committer 2019-11-02 13:55:18 UTC
A commit references this bug:

Author: tcberner
Date: Sat Nov  2 13:54:51 UTC 2019
New revision: 516323
URL: https://svnweb.freebsd.org/changeset/ports/516323

Log:
  databases/postgis30: Geographic objects support for PostgreSQL databases

    * Add CONFLICTS_INSTALL for databases/postgis2*
    * Add USE=NLS for databases/postgis2*
    * New port databases/postgis30
    * New default options for postgis: WAGYU, PROTOBUF and JSON
    * RASTER is now a separated extension (enabled by default), use "CREATE
      EXTENSION postgis_raster;" as for topology or sfcgal extensions

  Changelog:

     https://postgis.net/2019/10/20/postgis-3.0.0/

  PR:		241358
  Submitted by:	Lo?c Bartoletti <lbartoletti@tuxfamily.org>

Changes:
  head/databases/Makefile
  head/databases/postgis23/Makefile
  head/databases/postgis24/Makefile
  head/databases/postgis25/Makefile
  head/databases/postgis30/
  head/databases/postgis30/Makefile
  head/databases/postgis30/distinfo
  head/databases/postgis30/pkg-descr
  head/databases/postgis30/pkg-plist
Comment 11 Tobias C. Berner freebsd_committer 2019-11-03 08:08:47 UTC
Committed. Thanks.